#include<bits/stdc++.h>
#pragma GCC optimize("Ofast,fast-math,unroll-loops")
#pragma GCC target("avx2,bmi,bmi2,lzcnt,popcnt")
using namespace std;
vector<int> getVisionPattern1d(){
    return {2,2,1,2,1,1};
}
int getMove1d(std::vector<int> v){
    if(v.size()==3){
        if(v[0]==2)return 0;
        else return 2;
    }
    else{
        if(v[1]==2||v[3]==2){
            if(v[0]==2)return 0;
            else if(v[4]==2)return 4;
            else if(v[1]==2)return 1;
            else if(v[2]==2)return 2;
        }
        else{
            if(v[0]==1)return 0;
            else if(v[4]==1)return 4;
        }
    }
}
std::vector<std::vector<int>> getVisionPattern2d(){
}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v){
}